SuperCollider CLASSES
Undocumented classes

# OSCpathDispatcher

(Undocumented class)
Source: /Applications/SuperCollider.app/Contents/Resources/SCClassLibrary/Common/Control/OSCpathResponder.sc
Inherits from: OSCMultiResponder : OSCresponder : Object

## Description

This class is missing documentation.

## Class Methods

### Inherited class methods

### Undocumented class methods

### *cmdPathIndices

### *cmdPathIndices = value

### *new (addr, cmdName, action, pathSize)

## Instance Methods

### Inherited instance methods

### Undocumented instance methods

### -addChild (responder)

### -initPathSize (pathSize)

### -isEmpty

### -maxPathSize

### -maxPathSize = value

### -pathResponders

### -pathResponders = value

### -removeChild (responder)

### -value (time, msg)

## Help template

Copy and paste the text below and save to HelpSource/Classes/OSCpathDispatcher.schelp

    TITLE:: OSCpathDispatcher
    summary:: (put short description here)
    categories:: Undocumented classes
    related:: Classes/SomeRelatedClass, Reference/SomeRelatedStuff, etc.

    DESCRIPTION::
    (put long description here)

    CLASSMETHODS::

    METHOD:: cmdPathIndices
    (describe method here)

    returns:: (describe returnvalue here)

    METHOD:: new
    (describe method here)

    ARGUMENT:: addr
    (describe argument here)

    ARGUMENT:: cmdName
    (describe argument here)

    ARGUMENT:: action
    (describe argument here)

    ARGUMENT:: pathSize
    (describe argument here)

    returns:: (describe returnvalue here)

    INSTANCEMETHODS::

    METHOD:: isEmpty
    (describe method here)

    returns:: (describe returnvalue here)

    METHOD:: maxPathSize
    (describe method here)

    returns:: (describe returnvalue here)

    METHOD:: pathResponders
    (describe method here)

    returns:: (describe returnvalue here)

    METHOD:: initPathSize
    (describe method here)

    ARGUMENT:: pathSize
    (describe argument here)

    returns:: (describe returnvalue here)

    METHOD:: value
    (describe method here)

    ARGUMENT:: time
    (describe argument here)

    ARGUMENT:: msg
    (describe argument here)

    returns:: (describe returnvalue here)

    METHOD:: addChild
    (describe method here)

    ARGUMENT:: responder
    (describe argument here)

    returns:: (describe returnvalue here)

    METHOD:: removeChild
    (describe method here)

    ARGUMENT:: responder
    (describe argument here)

    returns:: (describe returnvalue here)

    EXAMPLES::

    code::
    (some example code)
    ::

link::Classes/OSCpathDispatcher::
sc version: 3.8.0